#include <stdio.h>
#include <unistd.h>
#include <errno.h>
#include <stdlib.h>
#include <fcntl.h>

#include "unDriver.h"

#define DEVICENAME "/dev/myDevice3"

int main(void)
{

	sensorInfo *pRead = (sensorInfo*) malloc(sizeof(sensorInfo));

	int redBytes;
	int devID = open(DEVICENAME,O_RDONLY);

	printf("test Driver sur fd = %i\n", devID);

	if (devID>0)
	{
		// lecture du capteur
		redBytes= read(devID,(char*)pRead,sizeof(sensorInfo));

		printf("lecture de (%i,%i)(N°%i)(t:%i) sur %i octets\n",pRead->value,pRead->pollData,pRead->cpt,pRead->time,redBytes);

		// raz du compteur du capteur
		ioctl(devID,RAZ,0);
		
		// lecture capteur
		redBytes= read(devID,(char*)pRead,sizeof(sensorInfo));
		printf("lecture de (%i,%i)(N°%i)(t:%i) sur %i octets\n",pRead->value,pRead->pollData,pRead->cpt,pRead->time,redBytes);

		close(devID);
	}
	else
	{
		printf("erreur sur l'ouverture du device\n");
	}
	
	return 0;
}
